﻿using System;

namespace ELTE.BoardGame.View
{
    /// <summary>
    /// Játéktábla nézetmodell típusa.
    /// </summary>
    public class BoardViewModel
    {
        /// <summary>
        /// Tábla szélességének lekérdezése, vagy beállítása.
        /// </summary>
        public Int32 BoardWidth { get; set; }

        /// <summary>
        /// Tábla magasságának lekérdezése, vagy beállítása.
        /// </summary>
        public Int32 BoardHeight { get; set; }

        /// <summary>
        /// Tábla elemeinek lekérdezése, vagy beállítása.
        /// </summary>
        public BoardItemViewModel[] BoardItems { get; set; }
    }
}
