﻿using System;

namespace ELTE.BoardGame.View
{
    /// <summary>
    /// Játékmező nézetmodell típusa.
    /// </summary>
    public class BoardItemViewModel
    {
        /// <summary>
        /// Oszlop lekérdezése, vagy beállítása.
        /// </summary>
        public Int32 Column { get; set; }

        /// <summary>
        /// Sor lekérdezése, vagy beállítása.
        /// </summary>
        public Int32 Row { get; set; }

        /// <summary>
        /// Sorszám lekérdezése, vagy beállítása.
        /// </summary>
        public Int32 Number { get; set; }

        /// <summary>
        /// Játékos karakter lekérdezése, vagy beállítása.
        /// </summary>
        public String Player { get; set; }
    }
}
